import request from '@/utils/request'

export function getRankPage(data) {
  return request({
    url: '/base-auto-level/page',
    method: 'get',
    params: data
  })
}

export function getRankList(data) {
  return request({
    url: '/base-auto-level/list',
    method: 'post',
    data: data
  })
}

export function getRankById(data) {
  return request({
    url: '/base-auto-level/listById',
    method: 'post',
    data: data
  })
}

export function addRank(data) {
  return request({
    url: '/base-auto-level/add',
    method: 'post',
    data: data
  })
}

export function editRank(data) {
  return request({
    url: '/base-auto-level/edit',
    method: 'post',
    data: data
  })
}

export function delRank(data) {
  return request({
    url: '/base-auto-level/delete',
    method: 'post',
    data: data
  })
}
